### Function

# Gimp ResourceChoosedCallback

unstable since: 3.0

#### Declaration

    void
    (* GimpResourceChoosedCallback) (
      GimpResource* resource,
      gboolean is_dialog_closing,
      gpointer owner_data
    )

#### Description [src]

Callback from libgimp GimpResourceSelect adapter to owner.

Available since: 3.0

#### Parameters

`resource`

  Type: `GimpResource`

  Chosen resource.

  The data is owned by the caller of the function.

`is_dialog_closing`

  Type: `gboolean`

  Did user click Close button of dialog?

`owner_data`

  Type: `gpointer`

  Owner’s data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.